net.sf.jasperreports.engine.export

## Class JRPdfExporter.ExporterContext

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
  - - net.sf.jasperreports.engine.export.JRPdfExporter.ExporterContext

- All Implemented Interfaces:
    JRExporterContext, JRPdfExporterContext
  Enclosing class:
    JRPdfExporter

      protected class JRPdfExporter.ExporterContext
      extends JRAbstractExporter.BaseExporterContext
      implements JRPdfExporterContext

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRPdfExporter.ExporterContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.lowagie.text.pdf.PdfWriter` | `getPdfWriter()` Returns the `PdfWriter` instance used by the exporter.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext

      `getExportedReport, getExporter, getExporterRef, getExportParameters, getExportPropertiesPrefix, getJasperReportsContext, getOffsetX, getOffsetY, getValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.JRExporterContext

      `getExportedReport, getExporter, getExporterRef, getExportParameters, getExportPropertiesPrefix, getJasperReportsContext, getOffsetX, getOffsetY, getValue, setValue`

- - ### Constructor Detail

    - #### JRPdfExporter.ExporterContext

          protected JRPdfExporter.ExporterContext()

  - ### Method Detail

    - #### getPdfWriter

          public com.lowagie.text.pdf.PdfWriter getPdfWriter()

      Description copied from interface: `JRPdfExporterContext`
      Returns the `PdfWriter` instance used by the exporter.
      Specified by:
        `getPdfWriter` in interface `JRPdfExporterContext`
      Returns:
        the exporter's `PdfWriter` instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com